> For the complete documentation index, see [llms.txt](https://docs.tutelar.io/tutelar-api-document/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/pan-plus.md).

# Pan Plus

Validates PAN details and provides extended profile information linked to the PAN from official data sources.

#### Submit Document

## pan\_plus

<mark style="color:green;">`POST`</mark> `https://secctrl.tutelar.io/api/v1/kyc/identity/pan_plus`

### Post parameters description is given below,

<table><thead><tr><th width="197">Post Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>pan_number </td><td>String </td><td>Yes </td><td>Your Pan Number</td></tr></tbody></table>

#### Sample Post Parameters

```json
{
    "pan_number": "XXXXXX842C"
}
```

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "2eae0fdd-5039-4020-9c0c-15cab69b4386",
    "status": "completed",
    "result": {
        "pan_number": "XXXXXX842C",
        "first_name": "NARESH",
        "middle_name": "",
        "last_name": "AHIRWAR",
        "aadhar_number": "XXXXXXXX6241",
        "aadhar_linked": true,
        "dob_verified": false,
        "dob_check": false,
        "email": "GAUTAMNARESH96@GMAIL.COM",
        "dob": "1996-06-05",
        "gender": "M",
        "indentity_type": "Individual",
        "mobile_no": 9540468437,
        "adresss_1": "HOUSE NO-48 RAJNAGAR",
        "address_2": "NAYAK MOHALLA",
        "address_3": "CHHATARPUR",
        "pin_code": "471625",
        "city": "CHHATARPUR",
        "state": "MADHYA PRADESH",
        "country": "INDIA"
    },
    "requested_at": "2026-02-13T06:18:26.098Z",
    "completed_at": "2026-02-13T06:18:26.175Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Pan Number should not be empty",
        "field": "pan_number",
        "code": "BAD_REQUEST"
    }
},
{
    "success": false,
    "code": 400,
    "message": "Invalid input. Please check your request and try again.",
    "error": {
        "message": "Invalid Pan Number",
        "field": "pan_number",
        "code": "BAD_REQUEST"
    }
}
```

{% endtab %}

{% tab title="400: Validation Error Response" %}

```json
```

{% endtab %}

{% tab title="200:  Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "d159a4bc-eff3-4e15-be96-8b9de2ae4a77",
    "status": "failed",
    "error": {
        "message": "Data Not Found !",
        "code": "ERROR"
    },
    "requested_at": "2026-02-13T06:18:05.230Z",
    "completed_at": "2026-02-13T06:18:05.714Z"
}
```

{% endtab %}
{% endtabs %}

## Get document details

<mark style="color:blue;">`GET`</mark> `https://secctrl.tutelar.io/api/v1/kyc/identity/pan_plus`

### Query parameters description is given below,

<table><thead><tr><th width="197">Query Parameter </th><th width="139">Type</th><th>Is  Mandatory</th><th>Description</th></tr></thead><tbody><tr><td>reference_id</td><td>String </td><td>Yes </td><td>Document reference id</td></tr></tbody></table>

{% tabs %}
{% tab title="200: Success Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request has been successfully completed.",
    "reference_id": "2eae0fdd-5039-4020-9c0c-15cab69b4386",
    "status": "completed",
    "result": {
        "pan_number": "XXXXXX842C",
        "first_name": "NARESH",
        "middle_name": "",
        "last_name": "AHIRWAR",
        "aadhar_number": "XXXXXXXX6241",
        "aadhar_linked": true,
        "dob_verified": false,
        "dob_check": false,
        "email": "GAUTAMNARESH96@GMAIL.COM",
        "dob": "1996-06-05",
        "gender": "M",
        "indentity_type": "Individual",
        "mobile_no": 9540468437,
        "adresss_1": "HOUSE NO-48 RAJNAGAR",
        "address_2": "NAYAK MOHALLA",
        "address_3": "CHHATARPUR",
        "pin_code": "471625",
        "city": "CHHATARPUR",
        "state": "MADHYA PRADESH",
        "country": "INDIA"
    },
    "requested_at": "2026-02-13T06:18:26.098Z",
    "completed_at": "2026-02-13T06:18:26.175Z"
}
```

{% endtab %}

{% tab title="200: InProgress Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request is being processed. Please wait for completion.",
    "reference_id": "93771444-76a4-4178-b25f-2b36ec6b0596",
    "status": "in_progress",
    "requested_at": "2026-02-13T09:26:36.780Z"
}
```

{% endtab %}

{% tab title="200:  Failure Response" %}

```json
{
    "success": true,
    "code": 200,
    "message": "The request could not be completed due to an error.",
    "reference_id": "d159a4bc-eff3-4e15-be96-8b9de2ae4a77",
    "status": "failed",
    "error": {
        "message": "Data Not Found !",
        "code": "ERROR"
    },
    "requested_at": "2026-02-13T06:18:05.230Z",
    "completed_at": "2026-02-13T06:18:05.714Z"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.tutelar.io/tutelar-api-document/kyc-verification/document-verification/india/pan-plus.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
